<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
	<title>API: history   (YUI Library)</title>
	<link rel="stylesheet" type="text/css" href="assets/api.css">
</head>

<body id="yahoo-com">
<div id="doc3" class="yui-t2">

	<div id="hd">
        <h1>Yahoo! UI Library</h1>
        <h3>Browser History Manager&nbsp; <span class="subtitle">2.2.0</span></h3>
        <p>
        <a href="./index.html">Yahoo! UI Library</a> 
            &gt; <a href="./module_history.html">history</a>
                
                
            </p>
	</div>

	<div id="bd">
		<div id="yui-main">
			<div class="yui-b">

                   
                    <h3>Module: history
                    

                    <span class="description"><em>Experimental</em></span>

                    </h3>
                    <div class="description summary">
                        The Browser History Manager provides the ability to use the 
back/forward navigation buttons in a DHTML application. It also allows 
a DHTML application to be bookmarked in a specific state.
                    </div>

                    <form onsubmit="return false">
                        <p>Search history:
                        <div id="propertysearch">
                            <input autocomplete="off" id="searchinput" />
                            <div id="searchresults">
                                &nbsp;
                            </div>
                        </div>
                    </form>
                    <script type="text/javascript">
                        ALL_YUI_PROPS = [{"url": "YAHOO.util.History.html#_bhmReady", "host": "YAHOO.util.History", "name": "_bhmReady"}, {"url": "YAHOO.util.History.html#_browser", "host": "YAHOO.util.History", "name": "_browser"}, {"url": "YAHOO.util.History.html#_checkIframeLoaded", "host": "YAHOO.util.History", "name": "_checkIframeLoaded"}, {"url": "YAHOO.util.History.html#_fqstates", "host": "YAHOO.util.History", "name": "_fqstates"}, {"url": "YAHOO.util.History.html#getBookmarkedState", "host": "YAHOO.util.History", "name": "getBookmarkedState"}, {"url": "YAHOO.util.History.html#getCurrentState", "host": "YAHOO.util.History", "name": "getCurrentState"}, {"url": "YAHOO.util.History.html#_getHash", "host": "YAHOO.util.History", "name": "_getHash"}, {"url": "YAHOO.util.History.html#getQueryStringParameter", "host": "YAHOO.util.History", "name": "getQueryStringParameter"}, {"url": "YAHOO.util.History.html#_handleFQStateChange", "host": "YAHOO.util.History", "name": "_handleFQStateChange"}, {"url": "YAHOO.util.History.html#_iframe", "host": "YAHOO.util.History", "name": "_iframe"}, {"url": "YAHOO.util.History.html#_initialize", "host": "YAHOO.util.History", "name": "_initialize"}, {"url": "YAHOO.util.History.html#initialize", "host": "YAHOO.util.History", "name": "initialize"}, {"url": "YAHOO.util.History.html#_initialized", "host": "YAHOO.util.History", "name": "_initialized"}, {"url": "YAHOO.util.History.html#_modules", "host": "YAHOO.util.History", "name": "_modules"}, {"url": "YAHOO.util.History.html#navigate", "host": "YAHOO.util.History", "name": "navigate"}, {"url": "YAHOO.util.History.html#onLoadEvent", "host": "YAHOO.util.History", "name": "onLoadEvent"}, {"url": "YAHOO.util.History.html#register", "host": "YAHOO.util.History", "name": "register"}, {"url": "YAHOO.util.History.html#_storageField", "host": "YAHOO.util.History", "name": "_storageField"}, {"url": "YAHOO.util.History.html#_storageFieldReady", "host": "YAHOO.util.History", "name": "_storageFieldReady"}, {"url": "YAHOO.util.History.html#_storeStates", "host": "YAHOO.util.History", "name": "_storeStates"}, {"url": "YAHOO.util.History.html#_trim", "host": "YAHOO.util.History", "name": "_trim"}];
                    </script>

                    <script type="text/javascript" src="assets/api-js"></script>
                    <script type="text/javascript" src="assets/ac-js"></script>

			</div>
		</div>
		<div class="yui-b">
            <div class="nav">

                    <div class="module">
                        <h4>Modules</h4>
                        <ul class="content">

                                <li class=""><a href="module_animation.html">animation</a></li>

                                <li class=""><a href="module_autocomplete.html">autocomplete</a></li>

                                <li class=""><a href="module_button.html">button</a></li>

                                <li class=""><a href="module_calendar.html">calendar</a></li>

                                <li class=""><a href="module_connection.html">connection</a></li>

                                <li class=""><a href="module_container.html">container</a></li>

                                <li class=""><a href="module_datasource.html">datasource</a></li>

                                <li class=""><a href="module_datatable.html">datatable</a></li>

                                <li class=""><a href="module_dom.html">dom</a></li>

                                <li class=""><a href="module_dragdrop.html">dragdrop</a></li>

                                <li class=""><a href="module_element.html">element</a></li>

                                <li class=""><a href="module_event.html">event</a></li>

                                <li class="selected"><a href="module_history.html">history</a></li>

                                <li class=""><a href="module_logger.html">logger</a></li>

                                <li class=""><a href="module_menu.html">menu</a></li>

                                <li class=""><a href="module_slider.html">slider</a></li>

                                <li class=""><a href="module_tabview.html">tabview</a></li>

                                <li class=""><a href="module_treeview.html">treeview</a></li>

                                <li class=""><a href="module_yahoo.html">yahoo</a></li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Classes</h4>
                        <ul class="content">
                                <li class=""><a href="YAHOO.util.History.html">YAHOO.util.History</a></li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Files</h4>
                        <ul class="content">        
                                <li class=""><a href="history.js.html">history.js</a></li>
                        </ul>
                    </div>





            </div>
		</div>
	</div>
	<div id="ft">
        <hr />
        Copyright &copy; 2007 Yahoo! Inc. All rights reserved.
	</div>
</div>
</body>
</html>
